Quote Class Referenceabstract

purely virtual base class for market observables More...

`#include <ql/quote.hpp>`

Inheritance diagram for Quote:
[legend]

## Public Member Functions

virtual Real | value () const =0
| returns the current value
virtual bool | isValid () const =0
| returns true if the Quote holds a valid value
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

purely virtual base class for market observables

Tests:
  the observability of class instances is tested.